<?php 

/* vim: set expandtab tabstop=4 shiftwidth=4: */

/* 
* +--------------------------------------------------------------------------+
* | Copyright (c) 2006 RoohIt                   (email : support@roohit.com) |
* +--------------------------------------------------------------------------+
*/


/*
* @return boolean
* @param  string $link
* @desc   .berpr.ft die angegeben URL auf Erreichbarkeit (HTTP-Code: 200)
*/
function url_validate( $link )
{        
	$url_parts = @parse_url( $link );

	if ( empty( $url_parts["host"] ) ) return( false );

	if ( !empty( $url_parts["path"] ) )
	{
		$documentpath = $url_parts["path"];
	}
	else
	{
		$documentpath = "/";
	}

	if ( !empty( $url_parts["query"] ) )
	{
		$documentpath .= "?" . $url_parts["query"];
	}

	$host = $url_parts["host"];
	$port = $url_parts["port"];
	// Now (HTTP-)GET $documentpath at $host";

	if (empty( $port ) ) $port = "80";
	$socket = @fsockopen( $host, $port, $errno, $errstr, 30 );
	if (!$socket)
	{
		return(false);
	}
	else
	{
		fwrite ($socket, "HEAD ".$documentpath." HTTP/1.0\r\nHost: $host\r\n\r\n");
		$http_response = fgets( $socket, 22 );
		
		if ( ereg("200 OK", $http_response, $regs ) )
		{
			return(true);
			fclose( $socket );
		} else
		{
//                echo "HTTP-Response: $http_response<br>";
			return(false);
		}
	}
}

function showPoweredBy() {
    echo '
        <div class="sub_footer" style="display: block; text-align:center; vertical-align:middle;"><a href="http://roohit.com/site/buttons.php">Highlighter</a>
         powered by 
        <a href="http://roohit.com/"><span style="background:#FFFF00"><font color="#000000" face="Geneva, Arial, Helvetica, sans-serif">Rooh</font></span><font color="#FF0000" face="Verdana">It</font></a>
        (<a href="http://wordpress.org/extend/plugins/tweet-highlights/">for WordPress</a>) 
        <br/><br/>';
//<a href="http://roohit.com/site/buttons.php"><br/><img src="http://roohit.com/images/get_00.png" alt="Get a highlighter for your website" ></a></div>
}
?>
